
Redmine - Defect #17897

Emails does not send to assignee if issue's author doesn't have permission to change assignee field

2014-09-17 13:41 - Andrey Kunitsyn

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.5.2

Description

I have issue assignments based on category. (Project - Settings - Issues categories)

Because of that i forbided users to change assignee in New Issue: Workflow - Fields permissions - Issue status - New; Assignee =

Read-only and Category maded Requered.

Then user create new issue it gets assignee according to category. That's good. BUT assignee doesn't get email about that.

If Workflow - Fields permissions - Issue status - New; Assignee I leave blank and User leave blank "Assignee" field in new issue

evrything is OK. Issue gets assignee automaticaly and assignee gets email.

But it's not good because category's assignee doesn't have priority before author's choice and issue may go to wrong user.

History

#1 - 2014-09-18 08:02 - Andrey Kunitsyn

- Status changed from New to Resolved

I'm very sorry.

I've tried to read a redmine's code. Have found nothing suspicious.

And I have retested everything more carefully and all seems to work.

Soooo strange...

#2 - 2014-10-16 08:54 - Toshi MARUYAMA

- Status changed from Resolved to Closed

- Resolution set to Invalid
